Bug 131360 - RHEL 2.1 mod_ssl missing shmht fixes
RHEL 2.1 mod_ssl missing shmht fixes
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: mod_ssl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2004-08-31 11:20 EDT by Todd Warner
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-13 14:26:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
mod_ssl patch (597 bytes, patch)
2004-09-08 12:59 EDT, Todd Warner
no flags Details | Diff

  None (edit)
Description Todd Warner 2004-08-31 11:20:22 EDT

Date: Tue, 31 Aug 2004 09:46:24 -0400 (EDT)
From: Todd Warner <taw@redhat.com>
To: Joe Orton <jorton@redhat.com>
Cc: Clifford Perry <cperry@redhat.com>
Subject: mod_ssl bug

Hey Joe,

Customer: ########
mod_ssl-2.8.12-3 (and mod_ssl-2.8.12-4)

Got a customer who had issues with Apache segfaulting on them. We got
Apache to core dump for us and found on that the culprit was mod_ssl.

Cliff Perry has built a new package and tested the fix. It resolves
the issue.

It's a pretty dead simple, small patch. And apparently it has been
fixed... just not in the version of mod_ssl we ship on RHEL 2.1.
Apparently the code is in mod_ssl-2.8.14-1.3.27 or later (Cliff
backported from that codebase).

The patch is attached... here is an email from 2 years ago that
discusses it:

The relevant issue-tracker, in case you care is:
So... Joe, is is possible to get this patch in?

Our current short term solution is to bump the SSLSessionCacheTimeout
setting from 300 to 60 in httpd.conf.

Do you want me to file a bug on this?

Date: Tue, 31 Aug 2004 14:59:35 +0100
From: Joe Orton <jorton@redhat.com>
To: Todd Warner <taw@redhat.com>
Cc: Clifford Perry <cperry@redhat.com>
Subject: Re: mod_ssl bug

On Tue, Aug 31, 2004 at 09:46:24AM -0400, Todd Warner wrote:
> So... Joe, is is possible to get this patch in?
> Our current short term solution is to bump the
> SLSessionCacheTimeout setting from 300 to 60 in httpd.conf.

Yes, please file a bug on this and we'll include the fix in future
updates.  (I'd have to check but there were some other fixes for shmht
which might need to be included as well).

But 'shmcb' is the recommended session cache of choice - the best
solution is to simply switch to to using shmcb rather than shmht.

Comment 1 Todd Warner 2004-09-08 12:59:27 EDT
Created attachment 103592 [details]
mod_ssl patch

Apparently I forgot to attach the patch. So... here it is.
Comment 3 Todd Warner 2004-10-07 04:18:20 EDT
We are using the "bypass" in httpd.conf (i.e., the SSLSessionCache
setting using shmcb) for our customers. Therefore, a test build is not
necessary for us to fix existing customers. That patch is for you guys
to fix the general problem at this point. Thanks.
Comment 5 John Flanagan 2004-12-13 14:26:24 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.